Index: /LMDZ6/trunk/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/compar1d.h	(revision 3887)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/compar1d.h	(revision 3888)
@@ -8,4 +8,5 @@
       real :: nat_surf
       real :: tsurf
+      real :: beta_surf
       real :: rugos
       real :: rugosh
@@ -45,5 +46,5 @@
       real    :: p_nudging_u, p_nudging_v, p_nudging_w, p_nudging_t, p_nudging_qv
       common/com_par1d/                                                 &
-     & nat_surf,tsurf,rugos,rugosh,                                     &
+     & nat_surf,tsurf,beta_surf,rugos,rugosh,                           &
      & xqsol,qsurf,psurf,zsurf,albedo,time,time_ini,xlat,xlon,airefi,   &
      & wtsurf,wqsurf,restart_runoff,xagesno,qsolinp,zpicinp,            &
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 3887)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 3888)
@@ -11,5 +11,5 @@
        du_gwd_rando, du_gwd_front, entr_therm, f0, fm_therm, &
        falb_dir, falb_dif, &
-       ftsol, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
+       ftsol, beta_aridity, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
        rnebcon, rugoro, sig1, w01, solaire_etat0, sollw, sollwdown, &
        solsw, t_ancien, q_ancien, u_ancien, v_ancien, wake_cstar, &
@@ -656,4 +656,5 @@
       qsol = qsolinp
       qsurf = fq_sat(tsurf,psurf/100.)
+      beta_aridity(:,:) = beta_surf
       day1= day_ini
       time=daytime-day
@@ -795,6 +796,6 @@
 
         fder=0.
+        snsrf(1,:)=snowmass ! masse de neige des sous surface
         print *, 'snsrf', snsrf
-        snsrf(1,:)=snowmass ! masse de neige des sous surface
         qsurfsrf(1,:)=qsurf ! humidite de l'air des sous surface
         fevap=0.
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/scm.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/scm.F90	(revision 3887)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/scm.F90	(revision 3888)
@@ -7,5 +7,5 @@
        du_gwd_rando, du_gwd_front, entr_therm, f0, fm_therm, &
        falb_dir, falb_dif, &
-       ftsol, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
+       ftsol, beta_aridity, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
        rnebcon, rugoro, sig1, w01, solaire_etat0, sollw, sollwdown, &
        solsw, t_ancien, q_ancien, u_ancien, v_ancien, wake_cstar, &
@@ -429,4 +429,5 @@
       qsol = qsolinp
       qsurf = fq_sat(tsurf,psurf/100.)
+      beta_aridity(:,:) = beta_surf
       day1= day_ini
       time=daytime-day
